Bug 99060 - Table copied from one document does not replace table in another
Summary: Table copied from one document does not replace table in another
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2016-04-03 16:12 UTC by Kruno
Modified: 2019-05-13 13:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Document to copy table from (8.38 KB, application/vnd.oasis.opendocument.text)
2016-04-03 16:12 UTC, Kruno
Details
Document to copy table to (8.36 KB, application/vnd.oasis.opendocument.text)
2016-04-03 16:13 UTC, Kruno
Details
Result (9.25 KB, application/vnd.oasis.opendocument.text)
2016-04-03 16:13 UTC, Kruno
Details
1 (8.57 KB, application/vnd.oasis.opendocument.text)
2016-04-03 16:23 UTC, Kruno
Details
2 (8.54 KB, application/vnd.oasis.opendocument.text)
2016-04-03 16:23 UTC, Kruno
Details
3 (10.46 KB, application/vnd.oasis.opendocument.text)
2016-04-03 16:23 UTC, Kruno
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kruno 2016-04-03 16:12:41 UTC
Created attachment 124039 [details]
Document to copy table from

Can't select a table and replace it with another table

If table selected from a website or another odt document and wish to paste it _instead_ of a table from other document, table which pasted does not replace existing table but that second table is inserted into each row of existing table:

- open 'copy-from' document
- position in cell 'E'
- hit CTRL + A twice to select whole table
- open 'paste-to' document
- from within cell '5' hit CTRL + A twice (to select whole table)
- hit CTRL + V

Result: see 'result.odt'.

Tables are replaced correctly if _whole document_ is selected with CTRL + A, but that will delete content outsite the table which is not desired.
Comment 1 Kruno 2016-04-03 16:13:02 UTC
Created attachment 124040 [details]
Document to copy table to
Comment 2 Kruno 2016-04-03 16:13:18 UTC
Created attachment 124041 [details]
Result
Comment 3 Kruno 2016-04-03 16:23:18 UTC
Or try by copying from document 1 to document 2. Result is in 3. Adding new examples because sometimes pased correctly.
Comment 4 Kruno 2016-04-03 16:23:35 UTC
Created attachment 124042 [details]
1
Comment 5 Kruno 2016-04-03 16:23:47 UTC
Created attachment 124043 [details]
2
Comment 6 Kruno 2016-04-03 16:23:59 UTC
Created attachment 124044 [details]
3
Comment 7 raal 2016-04-04 07:01:23 UTC
I can not confirm with  5.1.1.3; win7
Tested both of your examples. Please test with newer version. Thanks

https://www.libreoffice.org/download/libreoffice-fresh/
Comment 8 Kruno 2016-04-04 10:52:29 UTC
Debian Jessie:
Linux debian 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt25-1 (2016-03-06) x86_64 GNU/Linux

LibreOffice:
Version: 5.1.1.3
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
CPU Threads: 2; OS Version: Linux 3.16; UI Render: default; 
Locale: hr-HR (en_US.UTF-8)

Reproducable every time (with documents 1, 2 and 3).


Try exit Quicklunch, restart Windows machine, open document 1

- Enable Edit mode (opens from here in read-only)
- position in row 4, cell 2 (after space mark)
- hit CTRL+A twice
- close document one
- open document 2
- enable edit mode
- position i row 4, cell 2 (after space mark)
- hit CTRL + A twice
- hit CTRL + V

see result in document 3
Comment 9 Kruno 2016-04-04 11:13:18 UTC
Don't just exit Quicklanch, disable it and then restart. And it seems it's important to close first document before opening second.
Comment 10 Kruno 2016-04-04 13:27:13 UTC
Second table pastes correctly if first document stays opened, it pastes wrongly only if first document closed and then opened second.

Is it LO bug at all?
Comment 11 Kruno 2016-04-06 17:11:57 UTC
Can't reproduce on

Linux jessie 3.16.0-4-686-pae #1 SMP Debian 3.16.7-ckt25-1 (2016-03-06) i686 GNU/Linux

with

Version: 4.4.7.2
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: en_US.UTF-8

It's the same operating system, difference is in processor, LO version and desktop environment: first test is under KDE (from Debian Jessie official repository), and this one is Cinnamon (from Debian Jessie official repository).
Comment 12 Kruno 2016-04-07 08:20:50 UTC
I was wrong, can't reproduce it with LO 4.4.7 and Intel PC only with documents I attached here.

But it's reproducible _always_ if table copied from web page:

- go to http: //hjp.znanje.hr /index.php?show=kosi_oblici&id=fFhgXA%3D%3D [remove spaces from url]
- copy word list form the web page to a new ODT document
- position inside the table
- now do CTRL + A twice to select only table and then do CTRL + V

Please, confirm this bug.
Comment 13 Kruno 2016-04-07 08:23:07 UTC
Long tables can force LO to go into a loop and one table with 20 rows can make 300 new pages and LO is not responsive during that time (for two or three minutes).
Comment 14 Buovjaga 2016-04-19 15:27:15 UTC
(In reply to Kruno from comment #12)
> - go to http: //hjp.znanje.hr /index.php?show=kosi_oblici&id=fFhgXA%3D%3D
> [remove spaces from url]
> - copy word list form the web page to a new ODT document
> - position inside the table
> - now do CTRL + A twice to select only table and then do CTRL + V

Reproduced.

64-bit, KDE Plasma 5
Build ID: 5.1.2.2 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 15 Kruno 2016-10-16 20:02:39 UTC
Possible duplicate of bug 45307.
Comment 16 Kruno 2018-05-12 08:54:03 UTC
It doesn't hang in LO 6.0.4.1 on Debian Buster (curr testing) on 32-bit processor.

Copied table still does not replace old one and it pastes content into it, but at least it does not hang.
Comment 17 QA Administrators 2019-05-13 02:50:21 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug
Comment 18 Timur 2019-05-13 13:34:09 UTC
Since that link is not correct, I set to Needinfo for the reporter to write reproducible steps. 
Please see bug 37223 and test with current LO 6.1 or 6.2.